## retweet 0.10

=== requirements.txt ===
sqlalchemy>=1.0.8
tweepy>=3.5.0

## retweet 0.6

=== debian/changelog ===
retweet (0.6-1) unstable; urgency=low

  * New upstream release 

 -- Carl Chenet <chaica@debian.org>  Thu, 19 Nov 2015 16:27:11 +0100

retweet (0.5-1) unstable; urgency=low

  * New upstream release 

 -- Carl Chenet <chaica@debian.org>  Fri, 13 Nov 2015 16:41:31 +0100

retweet (0.4-3) unstable; urgency=low

  * debian/control
    - add missing Build-Dependencies python3-setuptools. (Closes: #804105)

 -- Carl Chenet <chaica@debian.org>  Thu, 05 Nov 2015 12:08:17 +0100

retweet (0.4-2) unstable; urgency=low

  * debian/control
    - add python3-sqlalchemy dependency 

 -- Carl Chenet <chaica@debian.org>  Sat, 31 Oct 2015 17:14:02 +0100

retweet (0.4-1) unstable; urgency=low

  * Initial release. (Closes: #799465)

 -- Carl Chenet <chaica@debian.org>  Tue, 15 Sep 2015 00:36:50 +0100

=== debian/control ===
Source: retweet
Priority: optional
Section: python
Maintainer: Carl Chenet <chaica@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), dh-python, python3-all, python3-setuptools
X-Python3-Version: >= 3.4
Standards-Version: 3.9.6.1
Homepage: https://github.com/chaica/retweet
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/retweet/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/retweet/trunk/

Package: retweet
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-tweepy, python3-sqlalchemy
Description: Simple twitter bot to retweet
 Retweet automatically retweets tweets from a Twitter account to
 another one. It also supports a range of criterias a tweet must
 meet in order to  perform the action of retweeting it.

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/retweet-$1\.tar\.gz/ \
  https://github.com/chaica/retweet/tags .*/v?(\d\S*)\.tar\.gz

## retweet 0.10

=== debian/changelog ===
retweet (0.10-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 09 Jan 2021 13:10:51 +0100

retweet (0.10-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - add python3-sqlalchemy and python3-tweepy to Build-Depends for tests
  * export LC_ALL=C.UTF-8 in debian/rules as tests fail with C
  * Standards-Version bumped to 3.9.8 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 12 Jan 2017 22:08:30 +0100

=== debian/control ===
Source: retweet
Priority: optional
Section: python
Maintainer: Carl Chenet <chaica@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), dh-python, python3-all, python3-setuptools,
 python3-sqlalchemy, python3-tweepy
X-Python3-Version: >= 3.4
Standards-Version: 3.9.8
Homepage: https://github.com/chaica/retweet
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/retweet/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/retweet/trunk/

Package: retweet
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-tweepy, python3-sqlalchemy
Description: Simple twitter bot to retweet
 Retweet automatically retweets tweets from a Twitter account to
 another one. It also supports a range of criteria a tweet must
 meet in order to  perform the action of retweeting it.

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
